Bug 1005924 - Detect correct apache default config in the apache resource agent.
Detect correct apache default config in the apache resource agent.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: resource-agents (Show other bugs)
7.0
Unspecified Linux
unspecified Severity low
: rc
: ---
Assigned To: David Vossel
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-09 12:51 EDT by David Vossel
Modified: 2015-08-24 02:35 EDT (History)
4 users (show)

See Also:
Fixed In Version: resource-agents-3.9.5-13.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 08:18:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Vossel 2013-09-09 12:51:24 EDT
Description of problem:
The pacemaker Apache resource-agent does not default to the correct apache configuration file shipped in rhel7.

How reproducible:
always

Steps to Reproduce:
1. configure apache resource without configfile option set

Actual results:
apache resource fails.

Expected results:
apache agent should start and detect the correct default configuration location.
Comment 1 David Vossel 2013-09-09 12:57:04 EDT
A patch exists for this upstream.

https://github.com/davidvossel/resource-agents/commit/3cafd1e5dd73e61af80aca1c77e58f7813456b35
Comment 3 David Vossel 2013-09-09 18:12:45 EDT
built and ready for testing
Comment 6 michal novacek 2014-03-28 10:27:26 EDT
I have verified that apache resource can be started without configfile
parameter given in resource-agents-3.9.5-26.el7.x86_64.

-----

[root@duck-03 ~]# rpm -q resource-agents
resource-agents-3.9.5-26.el7.x86_64:

[root@duck-03 ~]# pcs resource create webserver ocf:heartbeat:apache

[root@duck-03 ~]# pcs status
...
Online: [ duck-03 ]

Full list of resources:

 virt-fencing   (stonith:fence_ipmilan):        Started duck-03 
 webserver      (ocf::heartbeat:apache):        Started duck-03 

[root@duck-03 ~]# pcs resource show webserver
 Resource: webserver (class=ocf provider=heartbeat type=apache)
  Operations: start interval=0s timeout=40s (webserver-start-timeout-40s)
              stop interval=0s timeout=60s (webserver-stop-timeout-60s)
              monitor interval=10 timeout=20s (webserver-monitor-interval-10)
Comment 7 Ludek Smid 2014-06-13 08:18:21 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.